<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: File Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classFile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">File Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A logical representation of a file.  
 <a href="classFile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="File_8h_source.html">File.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3da9bfd17e7cc8b5709341f7f92aafd7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a3da9bfd17e7cc8b5709341f7f92aafd7">File</a> (std::string name, uint8_t type=DT_UNKNOWN)</td></tr>
<tr class="memdesc:a3da9bfd17e7cc8b5709341f7f92aafd7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a file.  <a href="#a3da9bfd17e7cc8b5709341f7f92aafd7">More...</a><br /></td></tr>
<tr class="separator:a3da9bfd17e7cc8b5709341f7f92aafd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa235586228b3a712b65a4fc951d35bf"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#aaa235586228b3a712b65a4fc951d35bf">getContent</a> (bool base64Encode=false)</td></tr>
<tr class="memdesc:aaa235586228b3a712b65a4fc951d35bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the content of the file.  <a href="#aaa235586228b3a712b65a4fc951d35bf">More...</a><br /></td></tr>
<tr class="separator:aaa235586228b3a712b65a4fc951d35bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a060e9c915f49027f7140730452fc9881"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a060e9c915f49027f7140730452fc9881">getContent</a> (uint32_t offset, uint32_t size)</td></tr>
<tr class="memdesc:a060e9c915f49027f7140730452fc9881"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the content of the file.  <a href="#a060e9c915f49027f7140730452fc9881">More...</a><br /></td></tr>
<tr class="separator:a060e9c915f49027f7140730452fc9881"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e324b9cb28fc557b92901f2481ce0fb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a9e324b9cb28fc557b92901f2481ce0fb">getName</a> ()</td></tr>
<tr class="memdesc:a9e324b9cb28fc557b92901f2481ce0fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the file.  <a href="#a9e324b9cb28fc557b92901f2481ce0fb">More...</a><br /></td></tr>
<tr class="separator:a9e324b9cb28fc557b92901f2481ce0fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db6133579e40942e5f2b14dc68037a0"><td class="memItemLeft" align="right" valign="top"><a id="a0db6133579e40942e5f2b14dc68037a0"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>getPath</b> ()</td></tr>
<tr class="separator:a0db6133579e40942e5f2b14dc68037a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d87eea1cf2a07b3f2a23f8607c88c3c"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a6d87eea1cf2a07b3f2a23f8607c88c3c">getType</a> ()</td></tr>
<tr class="memdesc:a6d87eea1cf2a07b3f2a23f8607c88c3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the file. The type of a file can be DT_REGULAR, DT_DIRECTORY or DT_UNKNOWN.  <a href="#a6d87eea1cf2a07b3f2a23f8607c88c3c">More...</a><br /></td></tr>
<tr class="separator:a6d87eea1cf2a07b3f2a23f8607c88c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ba5bdb943363cda56649238ccb18c27"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a6ba5bdb943363cda56649238ccb18c27">isDirectory</a> ()</td></tr>
<tr class="memdesc:a6ba5bdb943363cda56649238ccb18c27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if the type of the file is a directory.  <a href="#a6ba5bdb943363cda56649238ccb18c27">More...</a><br /></td></tr>
<tr class="separator:a6ba5bdb943363cda56649238ccb18c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f330e7db752189b7badb41b8706f1bf"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFile.html#a6f330e7db752189b7badb41b8706f1bf">length</a> ()</td></tr>
<tr class="memdesc:a6f330e7db752189b7badb41b8706f1bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the length of the file in bytes.  <a href="#a6f330e7db752189b7badb41b8706f1bf">More...</a><br /></td></tr>
<tr class="separator:a6f330e7db752189b7badb41b8706f1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A logical representation of a file. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3da9bfd17e7cc8b5709341f7f92aafd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3da9bfd17e7cc8b5709341f7f92aafd7">&#9670;&nbsp;</a></span>File()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">File::File </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>type</em> = <code>DT_UNKNOWN</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the file. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">type</td><td>The type of the file (DT_REGULAR, DT_DIRECTORY or DT_UNKNOWN). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaa235586228b3a712b65a4fc951d35bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa235586228b3a712b65a4fc951d35bf">&#9670;&nbsp;</a></span>getContent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string File::getContent </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>base64Encode</em> = <code>false</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the content of the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">base64Encode</td><td>Should we base64 encode the content? </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The content of the file. </dd></dl>

</div>
</div>
<a id="a060e9c915f49027f7140730452fc9881"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a060e9c915f49027f7140730452fc9881">&#9670;&nbsp;</a></span>getContent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string File::getContent </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>readSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retrieve the content of the file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">offset</td><td>The file offset to read from. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">readSize</td><td>The number of bytes to read. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The content of the file. </dd></dl>

</div>
</div>
<a id="a9e324b9cb28fc557b92901f2481ce0fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e324b9cb28fc557b92901f2481ce0fb">&#9670;&nbsp;</a></span>getName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string File::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the name of the file. </p>
<dl class="section return"><dt>Returns</dt><dd>The name of the file. </dd></dl>

</div>
</div>
<a id="a6d87eea1cf2a07b3f2a23f8607c88c3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d87eea1cf2a07b3f2a23f8607c88c3c">&#9670;&nbsp;</a></span>getType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t File::getType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the type of the file. The type of a file can be DT_REGULAR, DT_DIRECTORY or DT_UNKNOWN. </p>
<dl class="section return"><dt>Returns</dt><dd>The type of the file. </dd></dl>

</div>
</div>
<a id="a6ba5bdb943363cda56649238ccb18c27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ba5bdb943363cda56649238ccb18c27">&#9670;&nbsp;</a></span>isDirectory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool File::isDirectory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Determine if the type of the file is a directory. </p>
<dl class="section return"><dt>Returns</dt><dd>True if the file is a directory. </dd></dl>

</div>
</div>
<a id="a6f330e7db752189b7badb41b8706f1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f330e7db752189b7badb41b8706f1bf">&#9670;&nbsp;</a></span>length()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t File::length </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the length of the file in bytes. </p>
<dl class="section return"><dt>Returns</dt><dd>The length of the file in bytes. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="File_8h_source.html">File.h</a></li>
<li>File.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
